webpackJsonp([14],{

/***/ 863:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AdvancedSettingsPageModule", function() { return AdvancedSettingsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__advanced_settings__ = __webpack_require__(887);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AdvancedSettingsPageModule = /** @class */ (function () {
    function AdvancedSettingsPageModule() {
    }
    AdvancedSettingsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__advanced_settings__["a" /* AdvancedSettingsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__advanced_settings__["a" /* AdvancedSettingsPage */]),
            ],
        })
    ], AdvancedSettingsPageModule);
    return AdvancedSettingsPageModule;
}());

//# sourceMappingURL=advanced-settings.module.js.map

/***/ }),

/***/ 887:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AdvancedSettingsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular_components_app_app__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_log_service_logService__ = __webpack_require__(185);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_account_service_account_service__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_app_context_app_context__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_doctor_service_doctor_service__ = __webpack_require__(73);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_version_service_version_service__ = __webpack_require__(102);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var AdvancedSettingsPage = /** @class */ (function () {
    function AdvancedSettingsPage(navCtrl, navParams, doctorService, versionService, appContext, accountService, app, loadingCtrl, modalCtrl, logService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.doctorService = doctorService;
        this.versionService = versionService;
        this.appContext = appContext;
        this.accountService = accountService;
        this.app = app;
        this.loadingCtrl = loadingCtrl;
        this.modalCtrl = modalCtrl;
        this.logService = logService;
        this.isAndroid = null;
        this.isChecking = false;
        this.data = 10;
        this.isAndroid = this.appContext.platform === "android";
    }
    AdvancedSettingsPage.prototype.ionViewDidLoad = function () {
        //取当前版本号
        this.getCurrentVersion();
    };
    AdvancedSettingsPage.prototype.ionViewWillEnter = function () {
        //获取医生个人信息
        this._getDoctorInfo();
    };
    AdvancedSettingsPage.prototype.getCurrentVersion = function () {
        var self = this;
        this.versionService.getCurrentVersion().then(function (versionCode) {
            self.currentVersion = versionCode;
        });
    };
    AdvancedSettingsPage.prototype.checkVersion = function () {
        var self = this;
        this.versionService.checkVersion(false, true).then(function (appInfo) {
            if (appInfo.ForceUpdate) {
                //跳转到版本更新页面
                self.navCtrl.push('AppUpdatePage', {
                    appInfo: appInfo
                }).then(function () {
                    //从nav历史中删除当前活动页面(即版本更新页面)，禁止后退
                    var index = self.navCtrl.getActive().index;
                    self.navCtrl.remove(0, index);
                });
            }
            else {
                if (appInfo.HasNewVersion) {
                    if (self.appContext.platform == 'android') {
                        self.versionService.notifyNewVersionAndroid(true);
                    }
                    if (self.appContext.platform == 'ios') {
                        self.versionService.notifyNewVersionIOS();
                    }
                }
                else {
                    self.appContext.showToast('已经是最新版本。');
                }
            }
        });
    };
    AdvancedSettingsPage.prototype.goAboutProductPage = function () {
        this.navCtrl.push("DoctorAboutProductPage");
    };
    AdvancedSettingsPage.prototype._getDoctorInfo = function () {
        var _this = this;
        this.doctorService.getDoctorInfo().subscribe(function (data) {
            _this.doctorInfo = data;
        });
    };
    AdvancedSettingsPage.prototype.confirmLogout = function () {
        var self = this;
        this.appContext.showConfirm("是否要退出登录?").then(function (yes) {
            self._logout();
        }, function (no) { });
    };
    AdvancedSettingsPage.prototype._logout = function () {
        this.accountService.logout();
        this.app.getRootNavs()[0].setRoot("AccountLoginPage");
    };
    AdvancedSettingsPage.prototype.uploadLog = function () {
        var self = this;
        this.logService.uploadLog()
            .then(function (result) {
            self.appContext.showToast("上传反馈成功", 1500, "middle");
        }, function (error) {
            self.appContext.showToast("上传反馈失败", 1500, "middle");
        });
    };
    AdvancedSettingsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-advanced-settings',template:/*ion-inline-start:"D:\WorkProjects\EpmDrApp\src\pages\advanced-settings\advanced-settings.html"*/'﻿<ion-header>\n  <ion-navbar>\n    <ion-title>设置</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content class="grey-bg" no-bounce>\n  <ion-list padding-horizental no-lines>\n    <div class="grey-bg" style="height: 10px;"></div>\n    <ion-item class="advance-line-height" style="border-bottom: 1px solid #dedede;" [navPush]="\'AccountResetPasswordPage\'">\n      修改密码\n      <ion-icon ios="ios-arrow-forward" md="ios-arrow-forward" item-end style="color: #aaa"></ion-icon>\n    </ion-item>\n    <div class="grey-bg" style="height: 18px;"></div>\n\n    <ion-item class="advance-line-height" style="border-bottom: 1px solid #dedede;" (click)="uploadLog()">\n      <ion-label>帮助与反馈</ion-label>\n      <span class="grey-item" item-end></span>\n    </ion-item>\n    <ion-item class="advance-line-height" style="border-bottom: 1px solid #dedede;">\n      <ion-label>客服电话</ion-label>\n      <span class="grey-item" item-end>400-8691006</span>\n    </ion-item>\n    <ion-item class="advance-line-height" style="border-bottom: 1px solid #dedede;" (click)="goAboutProductPage()">\n      <ion-label>关于产品</ion-label>\n      <span class="grey-item" item-end></span>\n    </ion-item>\n    <div class="grey-bg" style="height: 18px;"></div>\n\n    <div *ngIf="isAndroid">\n      <ion-item class="advance-line-height" style="border-bottom: 1px solid #dedede;" (click)="checkVersion()">\n        <ion-label>检查更新</ion-label>\n        <span class="grey-item" item-end>当前版本: {{currentVersion}}</span>\n      </ion-item>\n      <div class="versionCheck-spinner">\n        <ion-spinner *ngIf="isChecking" name="ios-small" class="spinner-icon">aa</ion-spinner>\n      </div>\n    </div>\n\n    <div class="grey-bg" style="height: 18px;"></div>\n\n    <ion-item class="advance-line-height" style="border-bottom: 1px solid #dedede;" (click)="confirmLogout()">\n      <ion-label>退出登录</ion-label>\n      <span class="grey-item" item-end></span>\n    </ion-item>\n  </ion-list>\n</ion-content>'/*ion-inline-end:"D:\WorkProjects\EpmDrApp\src\pages\advanced-settings\advanced-settings.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_6__providers_doctor_service_doctor_service__["a" /* DoctorServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_7__providers_version_service_version_service__["a" /* VersionServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_5__providers_app_context_app_context__["a" /* AppContext */],
            __WEBPACK_IMPORTED_MODULE_4__providers_account_service_account_service__["a" /* AccountServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular_components_app_app__["a" /* App */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_log_service_logService__["a" /* LogServiceProvider */]])
    ], AdvancedSettingsPage);
    return AdvancedSettingsPage;
}());

//# sourceMappingURL=advanced-settings.js.map

/***/ })

});
//# sourceMappingURL=14.js.map