webpackJsonp([5],{

/***/ 875:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TfPatientInfoPageModule", function() { return TfPatientInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__tf_patient_info__ = __webpack_require__(896);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TfPatientInfoPageModule = /** @class */ (function () {
    function TfPatientInfoPageModule() {
    }
    TfPatientInfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__tf_patient_info__["a" /* TfPatientInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__tf_patient_info__["a" /* TfPatientInfoPage */]),
            ],
        })
    ], TfPatientInfoPageModule);
    return TfPatientInfoPageModule;
}());

//# sourceMappingURL=tf-patient-info.module.js.map

/***/ }),

/***/ 896:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TfPatientInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_operators__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_patient_service_patient_service__ = __webpack_require__(180);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_record_service_record_service__ = __webpack_require__(103);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var TfPatientInfoPage = /** @class */ (function () {
    function TfPatientInfoPage(navCtrl, navParams, patientService, recordService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.patientService = patientService;
        this.recordService = recordService;
        this.patient = null;
        this.records = [];
        this.pageSize = 10;
        this.pageIndex = 1;
        this.hasMoreData = null;
        this.patient = this.navParams.get('patient');
    }
    TfPatientInfoPage.prototype.ionViewWillEnter = function () {
        //加载测量记录列表数据
        if (this.records.length == 0 && this.hasMoreData != false) {
            this.loadData(null);
        }
    };
    TfPatientInfoPage.prototype.doRefresh = function (refresher) {
        this.loadData(refresher);
    };
    TfPatientInfoPage.prototype.doInfinite = function (infiniteScroll) {
        this.loadMoreData(infiniteScroll);
    };
    //从头加载数据
    TfPatientInfoPage.prototype.loadData = function (refresher) {
        var _this = this;
        this.hasMoreData = null;
        this.pageIndex = 1;
        this._getPatientRecords(this.patient.UserCode, this.patient.Name, this.pageSize, this.pageIndex)
            .subscribe(function (data) {
            _this.records = data;
            refresher && refresher.complete();
        }, function (error) {
            refresher && refresher.complete();
        });
    };
    //加载更多数据
    TfPatientInfoPage.prototype.loadMoreData = function (infiniteScroll) {
        var _this = this;
        if (this.hasMoreData == false) {
            infiniteScroll.complete();
            return;
        }
        this.pageIndex++;
        this._getPatientRecords(this.patient.UserCode, this.patient.Name, this.pageSize, this.pageIndex)
            .subscribe(function (data) {
            _this.records = _this.records.concat(data);
            infiniteScroll.complete();
        }, function (error) {
            infiniteScroll.complete();
        });
    };
    // 获取测量记录列表数据
    TfPatientInfoPage.prototype._getPatientRecords = function (userCode, patientName, pageSize, pageIndex) {
        var _this = this;
        return this.patientService.getPatientRecords(userCode, patientName, pageSize, pageIndex)
            .pipe(Object(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__["tap"])(function (data) {
            //判断是否有更多数据可供加载
            if (data.length < _this.pageSize) {
                _this.hasMoreData = false;
            }
            else {
                _this.hasMoreData = true;
            }
            _this._preHandle(data);
        }));
    };
    TfPatientInfoPage.prototype._preHandle = function (data) {
        for (var i = 0; i < data.length; i++) {
            var record = data[i];
            record.Record.DurationText = this.recordService.formatDuration(record.Record.Duration);
        }
    };
    TfPatientInfoPage.prototype.goTfRecordEventsPage = function (record) {
        this.navCtrl.push("TfRecordEventsPage", {
            patient: this.patient,
            recordStartTime: record.Record.StartTime,
            deviceSeq: record.Device.SeqNumber
        });
    };
    TfPatientInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-tf-patient-info',template:/*ion-inline-start:"D:\WorkProjects\EpmDrApp\src\pages\tf-patient-info\tf-patient-info.html"*/'<ion-header>\n\n  <ion-navbar>\n    <ion-title>病人信息</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="正在获取数据">\n    </ion-refresher-content>\n  </ion-refresher>\n\n  <div style="margin-top: 5px;">\n    <ion-item no-lines *ngIf="patient!=null">\n      <ion-avatar item-left>\n          <img [src] ="patient.Avatar">\n      </ion-avatar>\n      <div class="flex-row">\n        <span class="font-size16 font-dark">{{patient.Name}}</span>\n        <span class="font-size16 font-deep" style="margin-left: 32px;">{{patient?.Age < 200? patient?.Age + \'岁\' : \'未知\'}}</span>\n        <span class="font-size16 font-deep" style="margin-left: 32px;">{{patient?.SexText}}</span>\n      </div>\n    </ion-item>\n  </div>\n\n  <div padding-left class="flex-row font-size16 stable-bg" style="margin-top: 3px; height: 42px; color: #333;">\n    测量记录\n  </div>\n  \n  <div class="flex-row flex-item" *ngFor="let record of records; let i = index"\n    (click)="goTfRecordEventsPage(record)">\n    <div style="flex-grow: 1;">\n      <div class="font-size16 font-dark">开始时间：{{record.Record.StartTime | date:\'yyyy年MM月dd日 HH:mm\'}}</div>\n      <div class="font-deep" style="margin-top: 3px;">测量时长：{{record.Record.DurationText}}</div>\n    </div>\n    <span class="font-size14 font-deep">{{record.Record.IsCompleted? \'已完成\' : \'测量中\'}}</span>\n  </div>\n    \n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasMoreData">\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载数据...">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n\n</ion-content>\n'/*ion-inline-end:"D:\WorkProjects\EpmDrApp\src\pages\tf-patient-info\tf-patient-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__providers_patient_service_patient_service__["a" /* PatientService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_record_service_record_service__["a" /* RecordServiceProvider */]])
    ], TfPatientInfoPage);
    return TfPatientInfoPage;
}());

//# sourceMappingURL=tf-patient-info.js.map

/***/ })

});
//# sourceMappingURL=5.js.map