webpackJsonp([7],{

/***/ 871:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PatientInfoPageModule", function() { return PatientInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__patient_info__ = __webpack_require__(893);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PatientInfoPageModule = /** @class */ (function () {
    function PatientInfoPageModule() {
    }
    PatientInfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__patient_info__["a" /* PatientInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__patient_info__["a" /* PatientInfoPage */]),
            ],
        })
    ], PatientInfoPageModule);
    return PatientInfoPageModule;
}());

//# sourceMappingURL=patient-info.module.js.map

/***/ }),

/***/ 893:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PatientInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__providers_advisory_service_advisory_service__ = __webpack_require__(101);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_app_context_app_context__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_operators__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_doctor_service_doctor_service__ = __webpack_require__(73);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_record_service_record_service__ = __webpack_require__(103);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_patient_service_patient_service__ = __webpack_require__(180);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var PatientInfoPage = /** @class */ (function () {
    function PatientInfoPage(navCtrl, navParams, appContext, doctorService, patientService, recordService, advisoryService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appContext = appContext;
        this.doctorService = doctorService;
        this.patientService = patientService;
        this.recordService = recordService;
        this.advisoryService = advisoryService;
        this.advisoryNumber = null;
        this.submitFlag = null; //是否显示接受按钮
        this.fromChatDetail = null; //是否从对话界面过来。对话界面过来，不能有查看咨询
        this.patient = null;
        this.records = [];
        this.advisoryCount = -1;
        this.pageSize = 10;
        this.pageIndex = 1;
        this.hasMoreData = null;
        this.patient = this.navParams.get('patient');
        this.advisoryNumber = this.navParams.get('advisoryNumber');
        this.submitFlag = this.navParams.get('submitFlag');
        this.fromChatDetail = this.navParams.get('fromChatDetail');
    }
    PatientInfoPage.prototype.ionViewWillEnter = function () {
        //加载测量记录列表数据
        if (this.records.length == 0 && this.hasMoreData != false) {
            this.loadData(null);
        }
        if (this.advisoryCount === -1 && !this.submitFlag) {
            this.getAdvisoryCount();
        }
    };
    PatientInfoPage.prototype.doRefresh = function (refresher) {
        this.loadData(refresher);
    };
    PatientInfoPage.prototype.doInfinite = function (infiniteScroll) {
        this.loadMoreData(infiniteScroll);
    };
    //从头加载数据
    PatientInfoPage.prototype.loadData = function (refresher) {
        var _this = this;
        this.hasMoreData = null;
        this.pageIndex = 1;
        this._getPatientRecords(this.patient.familyUserCode, this.patient.name, this.pageSize, this.pageIndex)
            .subscribe(function (data) {
            _this.records = data;
            refresher && refresher.complete();
        }, function (error) {
            refresher && refresher.complete();
        });
    };
    //加载更多数据
    PatientInfoPage.prototype.loadMoreData = function (infiniteScroll) {
        var _this = this;
        if (this.hasMoreData == false) {
            infiniteScroll.complete();
            return;
        }
        this.pageIndex++;
        this._getPatientRecords(this.patient.familyUserCode, this.patient.name, this.pageSize, this.pageIndex)
            .subscribe(function (data) {
            _this.records = _this.records.concat(data);
            infiniteScroll.complete();
        }, function (error) {
            infiniteScroll.complete();
        });
    };
    //获取测量记录列表数据
    PatientInfoPage.prototype._getPatientRecords = function (userCode, patientName, pageSize, pageIndex) {
        var _this = this;
        return this.patientService.getPatientRecords(userCode, patientName, pageSize, pageIndex)
            .pipe(Object(__WEBPACK_IMPORTED_MODULE_2_rxjs_operators__["tap"])(function (data) {
            //判断是否有更多数据可供加载
            if (data.length < _this.pageSize) {
                _this.hasMoreData = false;
            }
            else {
                _this.hasMoreData = true;
            }
            _this._preHandle(data);
        }));
    };
    PatientInfoPage.prototype._preHandle = function (data) {
        for (var i = 0; i < data.length; i++) {
            var record = data[i];
            record.Record.DurationText = this.recordService.formatDuration(record.Record.Duration);
        }
    };
    PatientInfoPage.prototype.getAdvisoryCount = function () {
        var _this = this;
        this.advisoryService.getPatientAdvisoryCount(this.patient.familyUserCode, this.patient.name)
            .subscribe(function (data) {
            _this.advisoryCount = data.count;
        });
    };
    PatientInfoPage.prototype.goPatientRecordEventsPage = function (record) {
        this.navCtrl.push("PatientRecordEventsPage", {
            recordStartTime: record.Record.StartTime,
            deviceSeq: record.Device.SeqNumber
        });
    };
    //确认咨询
    PatientInfoPage.prototype.confirmAdvisory = function () {
        var self = this;
        this.appContext.showConfirm('接受咨询后，即开启与病人的对话。您确定要继续吗？')
            .then(function (yes) {
            self.recordService.confirmAdvisory(self.advisoryNumber)
                .subscribe(function (data) {
                self.recordService.confirmSubject.next();
                var tabs = self.navCtrl.parent;
                tabs.select(1);
                self.navCtrl.pop();
            }, function (error) {
                self.appContext.handleHttpError(error);
            });
        });
    };
    PatientInfoPage.prototype.goChatDetailPage = function () {
        var self = this;
        var patient = {
            Name: this.patient.name,
            Age: this.patient.age,
            Sex: this.patient.sex === true ? '男' : '女'
        };
        var user = {
            Name: this.patient.familyUserName,
            UserCode: this.patient.familyUserCode
        };
        this.navCtrl.push("ChatDetailPage", {
            queryCode: this.advisoryNumber,
            user: user,
            patient: patient,
            endIndex: false
        });
    };
    PatientInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_3__angular_core__["m" /* Component */])({
            selector: 'page-patient-info',template:/*ion-inline-start:"D:\WorkProjects\EpmDrApp\src\pages\patient-info\patient-info.html"*/'<ion-header>\n\n  <ion-navbar>\n    <ion-title>用户信息</ion-title>\n    <ion-buttons end *ngIf="submitFlag">\n      <button ion-button icon-only (click)="confirmAdvisory()" style="margin-right: 8px; font-size: 16px;">\n        接受\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="正在获取数据">\n    </ion-refresher-content>\n  </ion-refresher>\n\n  <div style="margin-top: 5px;">\n    <ion-item no-lines *ngIf="patient!=null">\n      <ion-avatar item-left>\n          <img [src] ="patient.avatar">\n      </ion-avatar>\n      <div class="flex-row">\n        <span class="font-size16" *ngIf="patient.isSelf">{{patient?.name}}</span>\n        <div *ngIf="!patient.isSelf">\n          <span class="font-size16 font-dark">{{patient.name}}</span>\n          <span class="font-size14 font-deep">({{patient.familyUserName}}亲友)</span>\n        </div>\n        <span class="font-size16 font-deep" style="margin-left: 32px;">{{patient?.age < 200? patient?.age + \'岁\' : \'未知\'}}</span>\n        <span class="font-size16 font-deep" style="margin-left: 32px;">{{patient?.sexName}}</span>\n      </div>\n    </ion-item>\n  </div>\n\n  <div padding-left padding-right class="flex-row" style="height: 42px;" *ngIf="!fromChatDetail && advisoryCount >= 0">\n    <span class="font-dark font-size16" *ngIf="advisoryCount > 0">咨询次数：{{advisoryCount}}</span>\n    <span class="font-dark font-size16" *ngIf="advisoryCount === 0">尚无咨询</span>\n    <div style="flex-grow: 1;"></div>\n    <span class="color-primary font-size18" (click)="goChatDetailPage()" \n      *ngIf="!submitFlag && advisoryCount > 0 && patient.hasAcceptedAdv === true">进入咨询</span>\n    <span class="color-primary font-size18" (click)="goChatDetailPage()" \n      *ngIf="!submitFlag && advisoryCount > 0 && patient.hasAcceptedAdv === false">查看咨询</span>\n  </div>\n\n  <div padding-left class="flex-row font-size16 stable-bg" style="margin-top: 3px; height: 42px; color: #333;">\n    测量记录\n  </div>\n  \n  <div class="flex-row flex-item" *ngFor="let record of records; let i = index"\n    (click)="goPatientRecordEventsPage(record)">\n    <div style="flex-grow: 1;">\n      <div class="font-size16 font-dark">开始时间：{{record.Record.StartTime | date:\'yyyy年MM月dd日 HH:mm\'}}</div>\n      <div class="font-deep" style="margin-top: 3px;">测量时长：{{record.Record.DurationText}}</div>\n    </div>\n    <span class="font-size14 font-deep">{{record.Record.IsCompleted? \'已完成\' : \'测量中\'}}</span>\n  </div>\n  \n  <div *ngIf="records.length == 0 && hasMoreData == false">\n    <div class="flex-row font-deep font-size16" style="height: 120px; justify-content: center;">该用户暂无测量记录</div>\n  </div>\n  \n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasMoreData">\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载数据...">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n\n</ion-content>\n'/*ion-inline-end:"D:\WorkProjects\EpmDrApp\src\pages\patient-info\patient-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["l" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1__providers_app_context_app_context__["a" /* AppContext */],
            __WEBPACK_IMPORTED_MODULE_5__providers_doctor_service_doctor_service__["a" /* DoctorServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_7__providers_patient_service_patient_service__["a" /* PatientService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_record_service_record_service__["a" /* RecordServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_0__providers_advisory_service_advisory_service__["a" /* ChatAdvisoryService */]])
    ], PatientInfoPage);
    return PatientInfoPage;
}());

//# sourceMappingURL=patient-info.js.map

/***/ })

});
//# sourceMappingURL=7.js.map