webpackJsonp([10],{

/***/ 866:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CouponSendPageModule", function() { return CouponSendPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__coupon_send__ = __webpack_require__(890);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CouponSendPageModule = /** @class */ (function () {
    function CouponSendPageModule() {
    }
    CouponSendPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__coupon_send__["a" /* CouponSendPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__coupon_send__["a" /* CouponSendPage */]),
            ],
        })
    ], CouponSendPageModule);
    return CouponSendPageModule;
}());

//# sourceMappingURL=coupon-send.module.js.map

/***/ }),

/***/ 890:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CouponSendPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_advisory_service_advisory_service__ = __webpack_require__(101);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_context_app_context__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_account_service_account_service__ = __webpack_require__(72);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the CouponSendPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CouponSendPage = /** @class */ (function () {
    function CouponSendPage(navCtrl, navParams, advisoryService, appContext, accountService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.advisoryService = advisoryService;
        this.appContext = appContext;
        this.accountService = accountService;
    }
    CouponSendPage.prototype.ionViewDidLoad = function () {
        var self = this;
        this.deadline = "one week";
        this.loading = false;
    };
    CouponSendPage.prototype.sendCoupon = function () {
        var self = this;
        if (self.loading) {
            return;
        }
        if (!self.accountNumber) {
            self.appContext.showAlert('请输入手机号', '赠送失败');
            return;
        }
        if (!self.couponPrice) {
            self.appContext.showAlert('请输入优惠券金额', '赠送失败');
            return;
        }
        if (!self.deadline) {
            self.appContext.showAlert('请选择有效期限', '赠送失败');
            return;
        }
        var discount;
        var usefulLife;
        switch (self.couponPrice) {
            case '0':
                discount = 0;
                break;
            case '5':
                discount = 5;
                break;
            case '8':
                discount = 8;
                break;
            default:
                self.appContext.showAlert('未知的金额信息', '赠送失败');
                return;
        }
        switch (self.deadline) {
            case 'one month':
                usefulLife = 0;
                break;
            case 'half year':
                usefulLife = 1;
                break;
            case 'one year':
                usefulLife = 3;
                break;
            default:
                self.appContext.showAlert('未知的有效期限信息', '赠送失败');
                return;
        }
        self.loading = true;
        //显示加载图标
        self.appContext.showLoading("请稍候...", true);
        self.advisoryService.sendCoupon(self.accountNumber, discount, usefulLife)
            .subscribe(function (response) {
            self.loading = false;
            self.appContext.hideLoading();
            self.appContext.showAlert('优惠券赠送成功', '赠送成功');
            self.accountNumber = null;
            self.couponPrice = null;
            self.accountName = null;
            self.deadline = 'one week';
        }, function (error) {
            self.loading = false;
            self.appContext.hideLoading();
            self.appContext.showAlert('优惠券赠送失败:' + error.message, '赠送失败');
        });
    };
    CouponSendPage.prototype.goCouponPage = function () {
        this.navCtrl.push("CouponHistoryPage", {});
    };
    CouponSendPage.prototype.changeInput = function () {
        var self = this;
        if (!self.accountNumber) {
            return;
        }
        if (self.accountNumber.toString().length != 11) {
            self.accountName = null;
            return;
        }
        self.accountService.getUserByAccount(self.accountNumber)
            .subscribe(function (response) {
            console.dir(response);
            if (response) {
                if (self.accountNumber == response.Account) {
                    if (response.Name) {
                        self.accountName = response.Name;
                    }
                    else {
                        self.accountName = "该用户未填写";
                    }
                }
                else {
                }
            }
            else {
            }
        }, function (error) {
            console.dir(error);
        });
    };
    CouponSendPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-coupon-send',template:/*ion-inline-start:"D:\WorkProjects\EpmDrApp\src\pages\coupon-send\coupon-send.html"*/'﻿<!--\n\n  Generated template for the CouponSendPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>赠送优惠券</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="goCouponPage()">\n\n        赠送历史\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-row class="margin-top" style="position:relative;padding:0px;width:100%;height:40px;">\n\n    <ion-col col-4 style="position:relative;padding:0;height:40px;line-height:40px;padding-left: 16px;" class="text-left font-size14 font-dark">\n\n      输入手机号：\n\n    </ion-col>\n\n    <ion-col col-8 style="position:relative;padding:0;height:40px;line-height:40px;">\n\n      <input class="font-size14 coupon-input" [(ngModel)]="accountNumber" type="number" value="" max="11" (ngModelChange)="changeInput()"/>\n\n    </ion-col>\n\n  </ion-row>\n\n  <ion-row class="margin-top" style="position:relative;padding:0px;width:100%;height:40px;" *ngIf="accountName">\n\n    <ion-col col-4 style="position:relative;padding:0;height:40px;line-height:40px;padding-left: 16px;" class="text-left font-size14 font-dark">\n\n      用户姓名：\n\n    </ion-col>\n\n    <ion-col col-8 style="position:relative;padding:0;height:40px;line-height:40px;">\n\n      <input class="font-size14 coupon-input" [(ngModel)]="accountName" type="text" readonly="readonly"/>\n\n    </ion-col>\n\n  </ion-row>\n\n  <ion-row class="margin-top" style="position:relative;padding:0px;width:100%;height:40px;">\n\n    <ion-col col-4 style="position:relative;padding:0;height:40px;line-height:40px;padding-left: 16px;" class="text-left font-size14 font-dark">\n\n      优惠券类型：\n\n    </ion-col>\n\n    <ion-col col-8 style="position:relative;padding:0;height:40px;line-height:40px;">\n\n      <ion-select class="font-size14 coupon-input" [(ngModel)]="couponPrice"  okText="确定" cancelText="取消" style="max-width:calc(100% - 16px);">\n\n        <ion-option value=0>免费咨询优惠卷</ion-option>\n\n        <ion-option value=5>5折咨询优惠卷</ion-option>\n\n        <ion-option value=8>8折咨询优惠卷</ion-option>\n\n      </ion-select>\n\n      <!-- <input class="font-size14 font-dark coupon-input" [(ngModel)]="couponPrice" type="number" value="" /> -->\n\n    </ion-col>\n\n  </ion-row>\n\n  <ion-row class="margin-top" style="position:relative;padding:0px;width:100%;height:40px;">\n\n    <ion-col col-4 style="position:relative;padding:0;height:40px;line-height:40px;padding-left: 16px;" class="text-left font-size14 font-dark">\n\n      有效期限：\n\n    </ion-col>\n\n    <ion-col col-8 style="position:relative;padding:0;height:40px;line-height:40px;">\n\n      <ion-select class="font-size14 coupon-input" [(ngModel)]="deadline"  okText="确定" cancelText="取消" style="max-width:calc(100% - 16px);">\n\n        <ion-option value="one month">一个月</ion-option>\n\n        <ion-option value="half year">半年</ion-option>\n\n        <ion-option value="one year">一年</ion-option>\n\n      </ion-select>\n\n    </ion-col>\n\n  </ion-row>\n\n  <div class="margin-top" text-center style="padding-left: 16px;padding-right: 16px;">\n\n    <button style="width: 100%;height: 40px;" type="submit" ion-button round (click)="sendCoupon()">赠送优惠券</button>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\WorkProjects\EpmDrApp\src\pages\coupon-send\coupon-send.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_advisory_service_advisory_service__["a" /* ChatAdvisoryService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_app_context_app_context__["a" /* AppContext */],
            __WEBPACK_IMPORTED_MODULE_4__providers_account_service_account_service__["a" /* AccountServiceProvider */]])
    ], CouponSendPage);
    return CouponSendPage;
}());

//# sourceMappingURL=coupon-send.js.map

/***/ })

});
//# sourceMappingURL=10.js.map