webpackJsonp([11],{

/***/ 865:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CouponHistoryPageModule", function() { return CouponHistoryPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__coupon_history__ = __webpack_require__(889);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CouponHistoryPageModule = /** @class */ (function () {
    function CouponHistoryPageModule() {
    }
    CouponHistoryPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__coupon_history__["a" /* CouponHistoryPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__coupon_history__["a" /* CouponHistoryPage */]),
            ],
        })
    ], CouponHistoryPageModule);
    return CouponHistoryPageModule;
}());

//# sourceMappingURL=coupon-history.module.js.map

/***/ }),

/***/ 889:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CouponHistoryPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_advisory_service_advisory_service__ = __webpack_require__(101);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_context_app_context__ = __webpack_require__(15);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CouponHistoryPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CouponHistoryPage = /** @class */ (function () {
    function CouponHistoryPage(navCtrl, navParams, advisoryService, appContext) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.advisoryService = advisoryService;
        this.appContext = appContext;
        this.pageSize = 10;
        this.pageIndex = 1;
        this.pageEnd = false;
        this.couponsList = [];
    }
    CouponHistoryPage.prototype.ionViewDidLoad = function () {
        var self = this;
        self.appContext.showLoading("请稍候...", true);
        self.getCouponRecords(self.pageSize, self.pageIndex)
            .then(function (data) {
            self.couponsList = data.couponList;
            self.allUsedPrice = data.allUsedPrice;
            self.allPrice = data.allPrice;
            if (data.couponList.length < self.pageSize) {
                self.pageEnd = true;
            }
            else {
                self.pageIndex++;
            }
            self.appContext.hideLoading();
        }, function (error) {
            self.appContext.hideLoading();
        });
    };
    CouponHistoryPage.prototype.getCouponRecords = function (pageSize, pageIndex) {
        var self = this;
        var promise = new Promise(function (resolve, reject) {
            self.advisoryService.queryCouponRecords(pageSize, pageIndex)
                .subscribe(function (response) {
                console.dir(response);
                resolve(response);
            }, function (error) {
                console.warn( true ? error.message : error);
                self.appContext.showAlert('加载优惠券信息失败:' + error.message, '加载失败');
                reject(error);
            });
        });
        return promise;
    };
    CouponHistoryPage.prototype.doRefresh = function (refresher) {
        var self = this;
        self.pageSize = 10;
        self.pageIndex = 1;
        self.pageEnd = false;
        self.couponsList = [];
        self.allUsedPrice = null;
        self.allPrice = null;
        self.getCouponRecords(self.pageSize, self.pageIndex)
            .then(function (data) {
            self.couponsList = data.couponList;
            self.allUsedPrice = data.allUsedPrice;
            self.allPrice = data.allPrice;
            if (data.couponList.length < self.pageSize) {
                self.pageEnd = true;
            }
            else {
                self.pageIndex++;
            }
            refresher.complete();
        }, function (error) {
            refresher.complete();
        });
    };
    CouponHistoryPage.prototype.doInfinite = function (infiniteScroll) {
        var self = this;
        if (!self.pageEnd) {
            self.getCouponRecords(self.pageSize, self.pageIndex)
                .then(function (data) {
                self.couponsList = self.couponsList.concat(data.couponList);
                self.allUsedPrice = data.allUsedPrice;
                self.allPrice = data.allPrice;
                infiniteScroll.complete();
                if (data.couponList.length < self.pageSize) {
                    self.pageEnd = true;
                }
                else {
                    self.pageIndex++;
                }
            }, function (error) {
                infiniteScroll.complete();
            });
        }
        else {
            infiniteScroll.complete();
        }
    };
    CouponHistoryPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-coupon-history',template:/*ion-inline-start:"D:\WorkProjects\EpmDrApp\src\pages\coupon-history\coupon-history.html"*/'﻿<!--\n\n  Generated template for the CouponHistoryPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>赠送历史</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content class="bg-gray">\n\n  <!--<ion-row style="margin: 10px 16px 0 16px;">\n\n    <ion-col col-6>\n\n      <div style="display:flex;">\n\n        <ion-select class="font-size14 search-select" [(ngModel)]="usefulLife " okText="确定" cancelText="取消">\n\n          <ion-option value="one week">最近一周</ion-option>\n\n          <ion-option value="one month">最近一个月</ion-option>\n\n          <ion-option value="one year">最近一年</ion-option>\n\n          <ion-option value="all">全部</ion-option>\n\n        </ion-select>\n\n      </div>\n\n    </ion-col>\n\n    <ion-col col-12>\n\n      <div style="display:flex;">\n\n        <input class="search-input" placeholder="姓名" [(ngModel)]="keyword" type="text" value="" />\n\n        <button id="search-button" ion-button round item-right class="search-button" (click)="search()">搜索</button>\n\n      </div>\n\n    </ion-col>\n\n  </ion-row>-->\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="正在获取数据">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <!-- <ion-row style="margin: 10px 16px 0 16px;">\n\n    <ion-col col-6>\n\n      <div class="font-size14 font-gray">已优惠总金额：{{allUsedPrice}}元</div>\n\n    </ion-col>\n\n    <ion-col col-6>\n\n      <div class="font-size14 font-gray">赠送总金额：{{allPrice}}元</div>\n\n    </ion-col>\n\n  </ion-row> -->\n\n\n\n  <div *ngFor="let coupon of couponsList;">\n\n    \n\n    <ion-row class="bg-white" style="margin: 20px 16px 0 16px;" *ngIf="!coupon.used">\n\n      <ion-col col-3 style="text-align:center;">\n\n        <div class="vertical-center" style="padding-left:0px;">\n\n          <!-- <span class="font-size14" style="color:red">¥</span> -->\n\n          <!-- <span class="font-size16" style="color:red">{{coupon.discount}}</span> -->\n\n          <!-- <span *ngIf="coupon.couponType==0||coupon.couponType==2" class="font-size14" style="color:red">￥</span>\n\n          <span class="font-size14" style="color:red">{{coupon.discount}}</span> -->\n\n          <div *ngIf="coupon.price >= 10">\n\n            <span class="font-size14 color-orange">￥ {{coupon.price}}</span>\n\n          </div>\n\n          <div *ngIf="coupon.price < 10 && coupon.price > 0">\n\n            <span class="font-size14 color-orange">{{coupon.price}} 折</span>\n\n          </div>\n\n          <div *ngIf="coupon.price === 0">\n\n            <span class="font-size14 color-orange">免费</span>\n\n          </div>\n\n        </div>\n\n      </ion-col>\n\n      <ion-col col-6 style="text-align:left;">\n\n        <div class="font-size16 font-dark" style="line-height:22px;">{{coupon.name}}</div>\n\n        <div class="font-size14 font-gray" style="line-height:20px;">{{coupon.createtime|date:"yyyy-MM-dd HH:mm"}}</div>\n\n        <div class="font-size14 font-gray" style="line-height:20px;">手机号{{coupon.phoneNumber}}</div>\n\n      </ion-col>\n\n      <ion-col col-3 style="text-align:center;">\n\n        <div class="vertical-center">\n\n          <span class="font-size14 color-secondary">尚未使用</span>\n\n        </div>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-row class="bg-white" style="margin: 20px 16px 0 16px;" *ngIf="coupon.used">\n\n      <!-- <ion-col col-3 style="text-align:center;">\n\n        <div class="vertical-center" style="padding-left:8px;">\n\n          <span class="font-size14 font-lightgray">¥</span>\n\n          <span class="font-size24 font-lightgray">{{coupon.price}}</span>\n\n        </div>\n\n      </ion-col> -->\n\n      <ion-col col-3 style="text-align:center;">\n\n        <div class="vertical-center" style="padding-left:0px;">\n\n          <!-- <span *ngIf="coupon.couponType==0||coupon.couponType==2" class="font-size14" style="color:red">￥</span>\n\n          <span class="font-size14" style="color:red">{{coupon.discount}}</span> -->\n\n          <div *ngIf="coupon.price < 10 && coupon.price > 0">\n\n            <span class="font-size14 color-orange">{{coupon.price}} 折</span>\n\n          </div>\n\n          <div *ngIf="coupon.price === 0">\n\n            <span class="font-size14 color-orange">免费</span>\n\n          </div>\n\n        </div>\n\n      </ion-col>\n\n      <ion-col col-6 style="text-align:left;">\n\n        <div class="font-size16 font-lightgray" style="line-height:22px;">{{coupon.name}}</div>\n\n        <div class="font-size14 font-lightgray" style="line-height:20px;">{{coupon.createtime|date:"yyyy-MM-dd HH:mm"}}</div>\n\n        <div class="font-size14 font-lightgray" style="line-height:20px;">手机号{{coupon.phoneNumber}}</div>\n\n      </ion-col>\n\n      <ion-col col-3 style="text-align:center;">\n\n        <div class="vertical-center">\n\n          <span class="font-size14 font-lightgray">已使用</span>\n\n        </div>\n\n      </ion-col>\n\n    </ion-row>\n\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles"\n\n                                 loadingText="正在加载数据...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\WorkProjects\EpmDrApp\src\pages\coupon-history\coupon-history.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_advisory_service_advisory_service__["a" /* ChatAdvisoryService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_app_context_app_context__["a" /* AppContext */]])
    ], CouponHistoryPage);
    return CouponHistoryPage;
}());

//# sourceMappingURL=coupon-history.js.map

/***/ })

});
//# sourceMappingURL=11.js.map