webpackJsonp([16],{

/***/ 860:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AccountResetPasswordPageModule", function() { return AccountResetPasswordPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__account_reset_password__ = __webpack_require__(884);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AccountResetPasswordPageModule = /** @class */ (function () {
    function AccountResetPasswordPageModule() {
    }
    AccountResetPasswordPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__account_reset_password__["a" /* AccountResetPasswordPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__account_reset_password__["a" /* AccountResetPasswordPage */]),
            ],
        })
    ], AccountResetPasswordPageModule);
    return AccountResetPasswordPageModule;
}());

//# sourceMappingURL=account-reset-password.module.js.map

/***/ }),

/***/ 884:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AccountResetPasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_forms__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_app_app__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_moment__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_account_service_account_service__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_app_context_app_context__ = __webpack_require__(15);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var AccountResetPasswordPage = /** @class */ (function () {
    function AccountResetPasswordPage(navCtrl, accountService, appContext, alertCtrl, formBuilder, app) {
        this.navCtrl = navCtrl;
        this.accountService = accountService;
        this.appContext = appContext;
        this.alertCtrl = alertCtrl;
        this.formBuilder = formBuilder;
        this.app = app;
        this.resetForm = null; //表单
        this.mobileValue = null; //手机号初始值
        this.sendCodeButtonText = "发送验证码"; //发送验证码按钮文本
        this.sendCodeButtonEnable = false; //是否激活发送按钮
        this.secondsCounter = 60; //发送倒计时秒数
        this.sendCodeInterval = null; //发送计时器
        this.SEND_CODE_DURATION = 60; //发送间隔
        this.resetForm = this.formBuilder.group({
            mobile: [
                "",
                __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].compose([
                    __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].required,
                    __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].minLength(0),
                    __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].maxLength(11)
                ])
            ],
            password: [
                "",
                __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].compose([
                    __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].required,
                    __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].minLength(0),
                    __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].maxLength(20)
                ])
            ],
            verifyCode: [
                "",
                __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].compose([
                    __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].required,
                    __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].minLength(0),
                    __WEBPACK_IMPORTED_MODULE_1__angular_forms__["f" /* Validators */].maxLength(6)
                ])
            ]
        });
    }
    AccountResetPasswordPage.prototype.ionViewWillEnter = function () {
        this.mobileValue = this.appContext.loginAccount.rememberedAccount;
        if (this.shouldEnableSendCodeButton()) {
            this.enableSendCode();
        }
        else {
            this.secondsCounter = this.SEND_CODE_DURATION - __WEBPACK_IMPORTED_MODULE_4_moment__().diff(this.accountService.sendResetPwdCodeTime, "seconds");
            this.startSendCodeInterval();
        }
    };
    AccountResetPasswordPage.prototype.ionViewDidLeave = function () {
        this.sendCodeInterval && clearInterval(this.sendCodeInterval);
    };
    AccountResetPasswordPage.prototype.resetPassword = function () {
        var _this = this;
        var self = this;
        var formData = this.resetForm.value;
        this.accountService.resetPassword(formData.mobile, formData.password, formData.verifyCode)
            .subscribe(function (data) {
            _this.appContext.showAlert("重设密码成功。").then(function (ok) {
                self.navCtrl.pop(); //返回
            });
        }, function (error) {
            if (error.message) {
                _this.appContext.showAlert("重设密码失败。" + error.message);
            }
            else {
                _this.appContext.showAlert("重设密码失败。请检查网络。");
            }
        });
    };
    AccountResetPasswordPage.prototype.sendCode = function () {
        var _this = this;
        var formData = this.resetForm.value;
        var account = this.resetForm.value.mobile;
        this.sendCodeButtonEnable = false;
        this.accountService.sendResetPwdCodeTime = __WEBPACK_IMPORTED_MODULE_4_moment__(); //记录发送验证码时间
        this.startSendCodeInterval();
        this.accountService.sendResetPwdCode(formData.mobile)
            .subscribe(function (data) {
            console.log("验证码发送成功");
        }, function (error) {
            if (error.message) {
                _this.appContext.showAlert("验证码发送失败。" + error.message);
            }
            else {
                _this.appContext.showAlert("验证码发送失败。请检查网络。");
            }
            _this.secondsCounter = 0;
            _this.checkSendCodeInterval();
        });
    };
    AccountResetPasswordPage.prototype.shouldEnableSendCodeButton = function () {
        //没发送过
        if (this.accountService.sendResetPwdCodeTime === null) {
            return true;
        }
        //超过发送间隔了，允许重发
        if (__WEBPACK_IMPORTED_MODULE_4_moment__().diff(this.accountService.sendResetPwdCodeTime, "seconds") >= this.SEND_CODE_DURATION) {
            return true;
        }
        return false;
    };
    AccountResetPasswordPage.prototype.enableSendCode = function () {
        this.sendCodeButtonEnable = true;
        this.secondsCounter = this.SEND_CODE_DURATION;
        this.sendCodeButtonText = "发送验证码";
    };
    AccountResetPasswordPage.prototype.startSendCodeInterval = function () {
        var _this = this;
        this.sendCodeInterval && clearInterval(this.sendCodeInterval);
        this.sendCodeInterval = setInterval(function () {
            _this.secondsCounter--;
            _this.showCountDownButtonText();
            _this.checkSendCodeInterval();
        }, 1000);
    };
    AccountResetPasswordPage.prototype.showCountDownButtonText = function () {
        this.sendCodeButtonText = this.secondsCounter + "秒后重发";
    };
    AccountResetPasswordPage.prototype.checkSendCodeInterval = function () {
        if (this.secondsCounter <= 0) {
            clearInterval(this.sendCodeInterval);
            this.enableSendCode();
        }
    };
    AccountResetPasswordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-account-reset-password",template:/*ion-inline-start:"D:\WorkProjects\EpmDrApp\src\pages\account-reset-password\account-reset-password.html"*/'﻿<ion-header>\n\n\n\n  <ion-navbar>\n\n    <ion-title>修改密码</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <form [formGroup]="resetForm" (ngSubmit)="resetPassword()" novalidate>\n\n    <ion-list inset class="no-border">\n\n      <ion-item>\n\n        <ion-label color="primary">\n\n          <ion-icon name="phone-portrait"></ion-icon>\n\n        </ion-label>\n\n        <ion-input type="tel" placeholder="手机号码" formControlName="mobile" [(ngModel)]="mobileValue" clearInput\n\n          maxlength="11"></ion-input>\n\n      </ion-item>\n\n      <ion-item>\n\n        <ion-label color="primary">\n\n          <ion-icon name="unlock"></ion-icon>\n\n        </ion-label>\n\n        <ion-input type="password" placeholder="新密码" formControlName="password" clearInput maxlength="20"></ion-input>\n\n      </ion-item>\n\n      <div style="display:flex;">\n\n        <ion-item>\n\n          <ion-label color="primary">\n\n            <ion-icon name="apps"></ion-icon>\n\n          </ion-label>\n\n          <ion-input type="text" placeholder="验证码" formControlName="verifyCode" maxlength="6"></ion-input>\n\n        </ion-item>\n\n        <button id="send-code-button" ion-button round item-right outline [disabled]="!resetForm.value.mobile || !sendCodeButtonEnable" (click)="sendCode()">\n\n          {{sendCodeButtonText}}\n\n        </button>\n\n      </div>\n\n    </ion-list>\n\n    <div padding text-center style="padding-left: 32px;padding-right: 32px;">\n\n      <button id="reset-pwd-button" type="submit" ion-button round [disabled]="!resetForm.valid">修改密码</button>\n\n    </div>\n\n  </form>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\WorkProjects\EpmDrApp\src\pages\account-reset-password\account-reset-password.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_5__providers_account_service_account_service__["a" /* AccountServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_6__providers_app_context_app_context__["a" /* AppContext */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1__angular_forms__["a" /* FormBuilder */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_app_app__["a" /* App */]])
    ], AccountResetPasswordPage);
    return AccountResetPasswordPage;
}());

//# sourceMappingURL=account-reset-password.js.map

/***/ })

});
//# sourceMappingURL=16.js.map