webpackJsonp([6],{

/***/ 879:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PatientRecordEventsPageModule", function() { return PatientRecordEventsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__patient_record_events__ = __webpack_require__(898);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PatientRecordEventsPageModule = /** @class */ (function () {
    function PatientRecordEventsPageModule() {
    }
    PatientRecordEventsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__patient_record_events__["a" /* PatientRecordEventsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__patient_record_events__["a" /* PatientRecordEventsPage */]),
            ],
        })
    ], PatientRecordEventsPageModule);
    return PatientRecordEventsPageModule;
}());

//# sourceMappingURL=patient-record-events.module.js.map

/***/ }),

/***/ 898:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PatientRecordEventsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__providers_cache_service_cache_service__ = __webpack_require__(520);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_patient_service_patient_service__ = __webpack_require__(180);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_app_context_app_context__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_Observable__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_add_operator_retry__ = __webpack_require__(519);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_add_operator_retry___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_rxjs_add_operator_retry__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var PatientRecordEventsPage = /** @class */ (function () {
    function PatientRecordEventsPage(navCtrl, navParams, viewController, patientService, appContext, cacheService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewController = viewController;
        this.patientService = patientService;
        this.appContext = appContext;
        this.cacheService = cacheService;
        this.recordStartTime = null;
        this.deviceSeq = null;
        this.advisoryStartTime = null; //测量结束时间
        this.advisoryEndTime = null; //测量开始时间
        this.patient = null; //病人信息
        this.abnorSymptomsList = []; //异常病症列表
        this.norSymptomsList = []; //正常病症列表
        this.symptomsDealList = []; //病症诊断信息列表
        this.loadSuccess = false;
        this._loading = null;
        this.allSymptomsCount = 0;
        this.itemResults = []; //病症列表
        //显示类型：未发现、时间段、百分比、数量
        this.ShowType = {
            NotFound: 'NotFound',
            Period: 'Period',
            Percent: 'Percent',
            Count: 'Count'
        };
        this.recordStartTime = this.navParams.get('recordStartTime');
        this.deviceSeq = this.navParams.get('deviceSeq');
    }
    PatientRecordEventsPage.prototype.ionViewWillEnter = function () {
    };
    PatientRecordEventsPage.prototype.ionViewDidLoad = function () {
        var self = this;
        self.abnorSymptomsList = []; //病症列表
        self.norSymptomsList = []; //病症列表
        self.symptomsDealList = [];
        self._getData();
    };
    PatientRecordEventsPage.prototype._getData = function () {
        var self = this;
        //显示加载图标
        self.appContext.showLoading("请稍候...", true);
        //获取分析结果
        self._getAnalysisResult()
            .subscribe(function (result) {
            //获取心率数据
            self._getHeartRateInfo()
                .subscribe(function (data) {
                self._computefrequency();
                self.appContext.hideLoading();
            }, function (error) {
                self.appContext.hideLoading();
            });
        }, function (error) {
            self.appContext.hideLoading();
            self.appContext.showAlert("获取分析结果失败");
        });
    };
    //获取记录分析结果
    PatientRecordEventsPage.prototype._getAnalysisResult = function () {
        var key = 'analysis' + this.recordStartTime;
        //检查缓存
        var value = this.cacheService.take(key);
        if (value !== null) {
            this._handleAnalysisResult(value);
            console.dir('analysis from cache');
            return __WEBPACK_IMPORTED_MODULE_5_rxjs_Observable__["Observable"].of(value);
        }
        var self = this;
        var ob = __WEBPACK_IMPORTED_MODULE_5_rxjs_Observable__["Observable"].create(function (observer) {
            self.patientService.getAnalysisResult(self.recordStartTime, self.deviceSeq)
                .subscribe(function (data) {
                self._handleAnalysisResult(data);
                if (self._needCache(self.record)) {
                    // console.dir('analysis put cache');
                    self.cacheService.put(key, data); //放入缓存
                }
                observer.next(data);
                observer.complete();
            }, function (error) {
                console.error( true ? error.message : error);
                //self.appContext.showAlert("获取分析结果失败");
                observer.error(error);
            });
        });
        return ob;
    };
    PatientRecordEventsPage.prototype._handleAnalysisResult = function (data) {
        var self = this;
        self.advisoryStartTime = data.record.startTime;
        self.advisoryEndTime = data.record.endTime;
        self.patient = data.patient;
        self.allSymptomsCount = data.results.length;
        self.record = data.record; //记录信息保存到变量，用来判断是否需要缓存
        for (var i = 0; i < self.allSymptomsCount; i++) {
            //过滤掉ST段病症
            if (data.results[i].name.indexOf('ST段') != -1) {
                continue;
            }
            //不再按有没有病症分组，保持后台传过来的数组顺序
            if (!/^DL/.test(data.results[i].name) && !/^F/.test(data.results[i].name) && data.results[i].name != "正常" && data.results[i].name != "噪音") {
                this.itemResults.push(data.results[i]);
            }
        }
    };
    PatientRecordEventsPage.prototype._needCache = function (record) {
        //标注完成了，可以缓存
        if (record.labeled === true) {
            return true;
        }
        //其它情况不缓存
        return false;
    };
    PatientRecordEventsPage.prototype.goPatientRecordSymptomDataPage = function (result) {
        if (result.count === 0) {
            return;
        }
        var self = this;
        this.navCtrl.push('PatientRecordSymptomDataPage', {
            recordStartTime: self.recordStartTime,
            deviceSeq: self.deviceSeq,
            name: result.name,
            symptomState: 'abnormal',
            isPoint: result.isPoint,
            length: result.length,
            count: result.count,
            startTime: self.advisoryStartTime,
            endTime: self.advisoryEndTime
        });
    };
    PatientRecordEventsPage.prototype.goPatientRecordDataPage = function () {
        this.navCtrl.push('PatientRecordDataPage', {
            deviceSeq: this.deviceSeq,
            recordStartTime: this.recordStartTime,
            endTime: this.advisoryEndTime
        });
    };
    /**
     * 获取心率数据
     */
    PatientRecordEventsPage.prototype._getHeartRateInfo = function () {
        var key = 'heartrate' + this.recordStartTime;
        //检查缓存
        var value = this.cacheService.take(key);
        if (value !== null) {
            this._handleHeartRateInfo(value);
            console.dir('heartrate from cache');
            return __WEBPACK_IMPORTED_MODULE_5_rxjs_Observable__["Observable"].of(value);
        }
        var self = this;
        var ob = new __WEBPACK_IMPORTED_MODULE_5_rxjs_Observable__["Observable"](function (observer) {
            self.patientService.getHeartRateInfo(self.recordStartTime, self.deviceSeq)
                .subscribe(function (data) {
                self.heartRateInfo = data;
                if (self._needCache(self.record)) {
                    console.dir('heartrate put cache');
                    self.cacheService.put(key, data);
                }
                observer.next(data);
                observer.complete();
            }, function (error) {
                console.error( true ? error.message : error);
                observer.error(error);
            });
        });
        return ob;
    };
    PatientRecordEventsPage.prototype._handleHeartRateInfo = function (data) {
        this.heartRateInfo = data;
    };
    //计算发生频率
    PatientRecordEventsPage.prototype._computefrequency = function () {
        var _this = this;
        var heartRate = this.heartRateInfo;
        this.itemResults.forEach(function (item) {
            item.showType = '';
            //没有次数的跳过
            if (item.count === 0) {
                item.showType = _this.ShowType.NotFound;
                return;
            }
            //房颤不做此处理
            if (item.name.indexOf('房颤') >= 0) {
                item.showType = _this.ShowType.Period;
                _this._getSymptomTotalTimeLength(item); //获取房颤总时长，添加 totalPeriod 属性
                return;
            }
            //判断显示百分比还是次数
            if (item.isPoint === true) {
                //时间点，按键和长间歇类为次数，其它为百分比
                if (item.name.indexOf('按键') >= 0
                    || item.name.indexOf('长间歇') >= 0
                    || item.name.indexOf('停搏') >= 0
                    || item.name.indexOf('传导阻滞') >= 0
                    || item.name.indexOf('逸搏') >= 0) {
                    item.showType = _this.ShowType.Count;
                }
                else {
                    item.showType = _this.ShowType.Percent;
                }
            }
            else {
                //时间段为次数
                item.showType = _this.ShowType.Count;
            }
            //非百分比类型，跳过
            if (item.showType !== _this.ShowType.Percent) {
                return;
            }
            //如果心率结果都为0，则仅显示次数。兼容以前老记录的查看。
            if (heartRate.totalHeartBeats === 0) {
                item.frequencyPercent = item.count + '次';
                item.frequencyColor = '#EB984E'; //橙色，与以前一致
                return;
            }
            var frequencyValue = item.count / heartRate.totalHeartBeats;
            item.frequencyLevel = _this._getFrequencyLevel(frequencyValue);
            item.frequencyPercent = Math.floor(100 * frequencyValue) + '%';
            if (item.frequencyPercent === '0%') {
                item.frequencyPercent = '<1%';
            }
            //正常范围的显示绿色，其他显示橙色
            if (item.frequencyLevel === '正常') {
                item.frequencyColor = '#58D68D';
            }
            else {
                item.frequencyColor = '#EB984E';
            }
        });
    };
    PatientRecordEventsPage.prototype._getFrequencyLevel = function (frequencyValue) {
        if (frequencyValue < 0.01) {
            return '正常';
        }
        if (frequencyValue < 0.04) {
            return '偶发';
        }
        return '频发';
    };
    PatientRecordEventsPage.prototype._getSymptomTotalTimeLength = function (symptomItem) {
        var _this = this;
        var key = 'fangchanlength' + this.recordStartTime;
        //检查缓存
        var value = this.cacheService.take(key);
        if (value !== null) {
            symptomItem.totalPeriod = value;
            console.dir('fangchanlength from cache');
            return;
        }
        this.patientService.getSymptomsResult(this.deviceSeq, this.recordStartTime, symptomItem.name)
            .subscribe(function (data) {
            var totalTimeLength = _this._computeTotalTimeLength(data.events);
            var totalPeriod = _this._formatTimeLength(totalTimeLength);
            symptomItem.totalPeriod = totalPeriod;
            if (_this._needCache(_this.record)) {
                _this.cacheService.put(key, totalPeriod);
            }
        });
    };
    //根据房颤事件数据，计算房颤总时长
    PatientRecordEventsPage.prototype._computeTotalTimeLength = function (symptomEvents) {
        var totalTimeLength = 0;
        symptomEvents.forEach(function (item) {
            totalTimeLength += item.length / 1000;
        });
        return totalTimeLength;
    };
    PatientRecordEventsPage.prototype._formatTimeLength = function (durationSeconds) {
        if (durationSeconds < 60) {
            return durationSeconds.toFixed(1) + '秒';
        }
        var duration = __WEBPACK_IMPORTED_MODULE_7_moment__["duration"](durationSeconds, 'seconds');
        //时|分|秒
        var formattedDuration = '';
        var hours = duration.hours() + 24 * duration.days();
        var minutes = duration.minutes();
        var seconds = duration.seconds();
        if (hours > 0) {
            formattedDuration += (hours + '小时');
        }
        if (minutes > 0) {
            formattedDuration += (minutes + '分');
        }
        if (seconds > 0) {
            formattedDuration += (seconds.toFixed(1) + '秒');
        }
        return formattedDuration;
    };
    PatientRecordEventsPage.prototype.getRecordDuration = function (startTime, endTime) {
        if (startTime != null && endTime != null) {
            var durationMilliseconds = __WEBPACK_IMPORTED_MODULE_7_moment__(endTime).diff(__WEBPACK_IMPORTED_MODULE_7_moment__(startTime));
            return this.patientService.formatDuration(durationMilliseconds);
        }
        else {
            return null;
        }
    };
    PatientRecordEventsPage.prototype.goHeartRateTime = function (tag) {
        var heartRateTime = null;
        //点击了最大心率，并且最大心率不为0
        if (tag === 'max' && this.heartRateInfo.maxHeartRate > 0) {
            heartRateTime = this.heartRateInfo.maxMinute;
        }
        //点击了最小心率，并且最小心率不为0
        if (tag === 'min' && this.heartRateInfo.minHeartRate > 0) {
            heartRateTime = this.heartRateInfo.minMinute;
        }
        if (heartRateTime === null)
            return;
        //跳转心电图页面，初始为对应时间点
        this.navCtrl.push('PatientRecordDataPage', {
            deviceSeq: this.deviceSeq,
            recordStartTime: this.recordStartTime,
            endTime: this.advisoryEndTime,
            viewPointTime: heartRateTime
        });
    };
    /** 跳转心率分布图 */
    PatientRecordEventsPage.prototype.goHeartRateDistribution = function () {
        this.navCtrl.push('PatientRecordHeartrateDistributionPage', {
            deviceSeq: this.deviceSeq,
            recordStartTime: this.recordStartTime,
            endTime: this.advisoryEndTime
        });
    };
    PatientRecordEventsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_2__angular_core__["m" /* Component */])({
            selector: 'page-patient-record-events',template:/*ion-inline-start:"D:\WorkProjects\EpmDrApp\src\pages\patient-record-events\patient-record-events.html"*/'<ion-header>\n\n    <ion-navbar>\n      <ion-title>测量结果</ion-title>\n      <ion-buttons end>\n        <button ion-button (click)="goPatientRecordDataPage()" style="margin-right: 8px; font-size: 16px;">\n          心电图\n        </button>\n      </ion-buttons>\n    </ion-navbar>\n  \n  </ion-header>\n  \n  \n  <ion-content class="stable-bg">\n    <ion-item>\n      <ion-avatar item-left class="pending-task-head-pic" style="position: absolute;top: 6px;">\n        <img style="width: 50px;height: 50px" *ngIf="patient?.sex==\'男\'" src="assets/imgs/avatar/man.jpg">\n        <img style="width: 50px;height: 50px" *ngIf="patient?.sex==\'女\'" src="assets/imgs/avatar/women.jpg">\n        <img style="width: 50px;height: 50px" *ngIf="patient?.sex!=\'男\'&&patient?.sex!=\'女\'" src="assets/imgs/avatar/unknown_people.jpg">\n      </ion-avatar>\n      <div style="border-bottom:0px solid #dedede;padding-left: 60px;">\n        <p style="height: 24px;color:#222;" *ngIf="patient">\n          <span style="font-size:14px;">{{patient?.name}}</span>\n          <span style="font-size: 14px;padding-left: 10%;">{{patient?.age < 200? patient?.age + \'岁\' : \'未知\'}}</span>\n          <span style="font-size: 14px;padding-left: 10%;">{{patient?.sex}}</span>\n        </p>\n        <p style="height: 20px;color:#777;font-size:12px;">\n          <span>测量时间:</span>\n          <span>{{advisoryStartTime|date:"MM月dd日 HH:mm"}} 至 {{advisoryEndTime|date:"MM月dd日 HH:mm"}}</span>\n        </p>\n        <p style="height: 20px;color:#777;font-size:12px;">\n          <span>测量时长:</span>\n          <span>{{getRecordDuration(advisoryStartTime,advisoryEndTime)}}</span>\n        </p>\n      </div>\n    </ion-item>\n\n    <!-- 心率、心搏 -->\n    <div padding-left padding-right class="light-bg" style="padding-top: 5px; padding-bottom: 10px; margin-top: 10px;">\n      <div class="flex-row" *ngIf="heartRateInfo">\n          <div class="text-center" style="flex-grow: 1;">\n              <span class="font-dark font-size20">{{heartRateInfo.totalHeartBeats==0?\'--\':heartRateInfo.totalHeartBeats}}</span>\n              <span class="font-dark font-size12">次</span><br>\n              <span class="font-dark">有效心搏</span>\n          </div>\n          <div class="text-center" style="flex-grow: 1;" (click)="goHeartRateTime(\'max\')">\n              <span class="font-dark font-size20">{{heartRateInfo.maxHeartRate==0?\'--\':heartRateInfo.maxHeartRate}}</span>\n              <span class="font-dark font-size12">bpm</span><br>\n              <span class="font-dark">最大心率</span>\n          </div>\n          <div class="text-center" style="flex-grow: 1;" (click)="goHeartRateTime(\'min\')">\n              <span class="font-dark font-size20">{{heartRateInfo.minHeartRate==0?\'--\':heartRateInfo.minHeartRate}}</span>\n              <span class="font-dark font-size12">bpm</span><br>\n              <span class="font-dark">最小心率</span>\n          </div>\n          <div class="text-center" style="flex-grow: 1;" (click)="goHeartRateDistribution()">\n              <span class="font-dark font-size20">{{heartRateInfo.avgHeartRate==0?\'--\':heartRateInfo.avgHeartRate}}</span>\n              <span class="font-dark font-size12">bpm</span><br>\n              <span class="font-dark">平均心率</span>\n          </div>\n      </div>\n    </div>\n  \n  <ion-list style="margin-top:10px;">\n\n      <ion-item class="light-bg border-dashed-line" style="position: relative;" \n        *ngFor="let result of itemResults,let i=index" \n        (click)="goPatientRecordSymptomDataPage(result)">\n        <div style="position: absolute;left:15px;top: 50%;transform: translateY(-50%);">\n          <span style="color: #888; font-size:8px; line-height: 20px;">●</span>\n        </div>\n        <div style="position: absolute;left:24px;top: 50%;transform: translateY(-50%);">\n          <span style="color: #555; font-size:16px; padding-left: 5px;">{{result?.name}}</span>\n        </div>\n        <div style="position: absolute;right:20px;top: 50%;transform: translateY(-50%);">\n          <span class="font-gray font-size16" \n            *ngIf="result.showType === \'Period\'">\n            疑似 <span class="color-orange font-size18">{{result.totalPeriod}}</span>\n          </span>\n          <span class="font-gray font-size16" \n            *ngIf="result.showType === \'Percent\'">\n            疑似 <span class="font-size18" [ngStyle]="{\'color\': result.frequencyColor}">{{result.frequencyPercent}}</span>\n          </span>\n          <span class="font-gray font-size16" \n            *ngIf="result.showType === \'Count\'">\n            疑似 <span class="color-orange font-size18">{{result?.count}}</span> 次\n          </span>\n          <span class="font-gray font-size16" style="color: #58D68D;" \n            *ngIf="result.showType === \'NotFound\'">未发现</span>\n        </div>\n      </ion-item>\n      \n    </ion-list>\n  </ion-content>\n  '/*ion-inline-end:"D:\WorkProjects\EpmDrApp\src\pages\patient-record-events\patient-record-events.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["l" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["p" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1__providers_patient_service_patient_service__["a" /* PatientService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_app_context_app_context__["a" /* AppContext */],
            __WEBPACK_IMPORTED_MODULE_0__providers_cache_service_cache_service__["a" /* CacheService */]])
    ], PatientRecordEventsPage);
    return PatientRecordEventsPage;
}());

//# sourceMappingURL=patient-record-events.js.map

/***/ })

});
//# sourceMappingURL=6.js.map